Bug 1022709 - resetalloption on a volume yields 400 Bad Request vds network error
resetalloption on a volume yields 400 Bad Request vds network error
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc-cli (Show other bugs)
2.1
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Shubhendu Tripathi
Mike McCune
Corbett
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 16:09 EDT by Dustin Tsang
Modified: 2015-08-28 06:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-28 06:45:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log (53.76 KB, text/x-log)
2013-10-23 16:09 EDT, Dustin Tsang
no flags Details
vdsmlog (1.17 KB, text/x-log)
2013-10-23 16:10 EDT, Dustin Tsang
no flags Details

  None (edit)
Description Dustin Tsang 2013-10-23 16:09:10 EDT
Created attachment 815539 [details]
engine log

Description of problem:

unable to issue resetalloptions on volume using cli. Reply from shell is "vds network error".

<commandoutput>
2013-10-23 12:57:13,785 [main] DEBUG com.redhat.qe.ssh.ReadInput - [shell output] action glustervolume 2e4b0aa5-71ce-4e3e-ba78-15c522e78eb1 resetalloptions --cluster-identifier 13d873c6-0ddc-4c77-abf5-986ff2808e14




error: 

status: 400

reason: Bad Request

detail: vds network error
</commandoutput>


Version-Release number of selected component (if applicable):


How reproducible:
bigbend-rhsc-bb10 
corbett-cb4

Steps to Reproduce:
1. create a 2 host distributed volume
2. set a volume option
action glustervolume 2e4b0aa5-71ce-4e3e-ba78-15c522e78eb1 setoption --cluster-identifier 13d873c6-0ddc-4c77-abf5-986ff2808e14 --option-name performance.cache-size --option-va 
lue "256MB"

3. reset all option on volume
action glustervolume 2e4b0aa5-71ce-4e3e-ba78-15c522e78eb1 resetalloptions --cluster-identifier 13d873c6-0ddc-4c77-abf5-986ff2808e14


Actual results:
error: 

status: 400

reason: Bad Request

detail: vds network error


Expected results:
all options are reset successfully


Additional info:
Comment 1 Dustin Tsang 2013-10-23 16:10:33 EDT
Created attachment 815540 [details]
vdsmlog
Comment 3 Dusmant 2013-11-12 11:57:20 EST
Dustin, is this issue seen only through CLI or through API?
Comment 4 Dustin Tsang 2013-11-14 12:11:27 EST
it's also an issue with the REST API

--------ouput from test-------------
2013-11-14 09:05:40,513 [main] DEBUG org.apache.http.impl.conn.DefaultClientConnection - Sending request: POST /api/clusters/3507aa00-80f4-43a4-9dfd-5213d47ceb13/glustervolumes/355b7d1d-9b24-4412-85c5-22a6f8dd500d/resetalloptions HTTP/1.1
2013-11-14 09:05:40,513 [main] DEBUG org.apache.http.wire - >> "POST /api/clusters/3507aa00-80f4-43a4-9dfd-5213d47ceb13/glustervolumes/355b7d1d-9b24-4412-85c5-22a6f8dd500d/resetalloptions HTTP/1.1[\r][\n]"
2013-11-14 09:05:40,514 [main] DEBUG org.apache.http.wire - >> "Content-Type: application/xml[\r][\n]"
2013-11-14 09:05:40,514 [main] DEBUG org.apache.http.wire - >> "Accept: application/xml[\r][\n]"
2013-11-14 09:05:40,514 [main] DEBUG org.apache.http.wire - >> "Content-Length: 10[\r][\n]"
2013-11-14 09:05:40,514 [main] DEBUG org.apache.http.wire - >> "Host: rhsc-cb7.tsang:443[\r][\n]"
2013-11-14 09:05:40,514 [main] DEBUG org.apache.http.wire - >> "Connection: Keep-Alive[\r][\n]"
2013-11-14 09:05:40,514 [main] DEBUG org.apache.http.wire - >> "User-Agent: Apache-HttpClient/4.1.3 (java 1.5)[\r][\n]"
2013-11-14 09:05:40,514 [main] DEBUG org.apache.http.wire - >> "Authorization: Basic YWRtaW5AaW50ZXJuYWw6cmVkaGF0[\r][\n]"
2013-11-14 09:05:40,514 [main] DEBUG org.apache.http.wire - >> "[\r][\n]"
2013-11-14 09:05:40,514 [main] DEBUG org.apache.http.headers - >> POST /api/clusters/3507aa00-80f4-43a4-9dfd-5213d47ceb13/glustervolumes/355b7d1d-9b24-4412-85c5-22a6f8dd500d/resetalloptions HTTP/1.1
2013-11-14 09:05:40,515 [main] DEBUG org.apache.http.headers - >> Content-Type: application/xml
2013-11-14 09:05:40,515 [main] DEBUG org.apache.http.headers - >> Accept: application/xml
2013-11-14 09:05:40,515 [main] DEBUG org.apache.http.headers - >> Content-Length: 10
2013-11-14 09:05:40,515 [main] DEBUG org.apache.http.headers - >> Host: rhsc-cb7.tsang:443
2013-11-14 09:05:40,515 [main] DEBUG org.apache.http.headers - >> Connection: Keep-Alive
2013-11-14 09:05:40,515 [main] DEBUG org.apache.http.headers - >> User-Agent: Apache-HttpClient/4.1.3 (java 1.5)
2013-11-14 09:05:40,515 [main] DEBUG org.apache.http.headers - >> Authorization: Basic YWRtaW5AaW50ZXJuYWw6cmVkaGF0
2013-11-14 09:05:40,515 [main] DEBUG org.apache.http.wire - >> "<action />"
2013-11-14 09:05:49,145 [main] DEBUG org.apache.http.wire - << "HTTP/1.1 400 Bad Request[\r][\n]"
2013-11-14 09:05:49,145 [main] DEBUG org.apache.http.wire - << "Date: Thu, 14 Nov 2013 17:05:40 GMT[\r][\n]"
2013-11-14 09:05:49,145 [main] DEBUG org.apache.http.wire - << "Content-Type: application/xml[\r][\n]"
2013-11-14 09:05:49,145 [main] DEBUG org.apache.http.wire - << "Content-Length: 276[\r][\n]"
2013-11-14 09:05:49,145 [main] DEBUG org.apache.http.wire - << "Vary: Accept-Encoding[\r][\n]"
2013-11-14 09:05:49,145 [main] DEBUG org.apache.http.wire - << "Connection: close[\r][\n]"
2013-11-14 09:05:49,146 [main] DEBUG org.apache.http.wire - << "[\r][\n]"
2013-11-14 09:05:49,146 [main] DEBUG org.apache.http.impl.conn.DefaultClientConnection - Receiving response: HTTP/1.1 400 Bad Request
2013-11-14 09:05:49,146 [main] DEBUG org.apache.http.headers - << HTTP/1.1 400 Bad Request
2013-11-14 09:05:49,146 [main] DEBUG org.apache.http.headers - << Date: Thu, 14 Nov 2013 17:05:40 GMT
2013-11-14 09:05:49,146 [main] DEBUG org.apache.http.headers - << Content-Type: application/xml
2013-11-14 09:05:49,146 [main] DEBUG org.apache.http.headers - << Content-Length: 276
2013-11-14 09:05:49,146 [main] DEBUG org.apache.http.headers - << Vary: Accept-Encoding
2013-11-14 09:05:49,146 [main] DEBUG org.apache.http.headers - << Connection: close
2013-11-14 09:05:49,146 [main] DEBUG org.apache.http.wire - << "<?xml version="1.0" encoding="UTF-8" standalone="yes"?>[\n]"
2013-11-14 09:05:49,146 [main] DEBUG org.apache.http.wire - << "<action>[\n]"
2013-11-14 09:05:49,146 [main] DEBUG org.apache.http.wire - << "    <status>[\n]"
2013-11-14 09:05:49,146 [main] DEBUG org.apache.http.wire - << "        <state>failed</state>[\n]"
2013-11-14 09:05:49,146 [main] DEBUG org.apache.http.wire - << "    </status>[\n]"
2013-11-14 09:05:49,147 [main] DEBUG org.apache.http.wire - << "    <fault>[\n]"
2013-11-14 09:05:49,147 [main] DEBUG org.apache.http.wire - << "        <reason>Operation Failed</reason>[\n]"
2013-11-14 09:05:49,147 [main] DEBUG org.apache.http.wire - << "        <detail>[Network error during communication with the Host.]</detail>[\n]"
2013-11-14 09:05:49,147 [main] DEBUG org.apache.http.wire - << "    </fault>[\n]"
2013-11-14 09:05:49,147 [main] DEBUG org.apache.http.wire - << "</action>[\n]"
2013-11-14 09:05:49,147 [main] DEBUG org.apache.http.impl.conn.SingleClientConnManager - Releasing connection org.apache.http.impl.conn.SingleClientConnManager$ConnAdapter@28b4330
2013-11-14 09:05:49,147 [main] DEBUG org.apache.http.impl.conn.SingleClientConnManager - Released connection open but not reusable.
2013-11-14 09:05:49,147 [main] DEBUG org.apache.http.impl.conn.DefaultClientConnection - Connection shut down
Comment 7 Dusmant 2015-08-28 06:45:34 EDT
We are not planning to fix it. Hence closing this BZ. If you think, it's applicable for 3.x release and would have an impact on customer, pls. open up a new BZ with the appropriate version. Thanks, -Dusmant

Note You need to log in before you can comment on or make changes to this bug.